#ifndef CORE_TYPES_H
#define CORE_TYPES_H

#include <stddef.h>
#include <stdint.h>

typedef int64_t i64;
typedef int32_t i32;
typedef int16_t i16;
typedef int8_t i8;
typedef uint64_t u64;
typedef uint32_t u32;
typedef uint16_t u16;
typedef uint8_t u8;
#define CORE_ARRAY_LENGTH(array) (sizeof(array) / sizeof(*array))

typedef size_t (*CoreToString)(const void* data, char* buffer, size_t n);

#ifdef IMPORT_CORE
#define ARRAY_LENGTH CORE_ARRAY_LENGTH
#endif

#endif
